/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package application;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

/**
 * A class which handles key events in order to place them in a KeyField.
 */
public class KeyFieldKeyListener extends KeyAdapter{
	  public void keyPressed(KeyEvent e)
	  {
	    KeyField kf = (KeyField) e.getSource();
	    kf.setKeyCode(e.getKeyCode());
	    // focus should still be on the keyfield, so we highlight it again.
	    kf.highlightText();
	  }
	}
