/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package core;

/**
 * Offers the information associated with a list of levels.
 */
public interface LevelCollectionInfo {
	/**
	 * The number of level in this collection
	 */
	int size();
	
	/**
	 * The level information at the index.
	 */
	LevelInfo get(int index) throws IndexOutOfBoundsException;
	
	/**
	 * The name of this list of levels.
	 */
	String get_title();
	
	/**
	 * The copyright information for this list of levels.
	 */
	String get_copyright();
	
	/**
	 * The copyright information for this list of levels.
	 */
	String[] get_description();
	
	/**
	 * The email address for this list of levels.
	 */
	String get_email();
	
	/**
	 * The URL for this list of levels.
	 */
	String get_url();
}