/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package file;

import java.io.InputStream;
import java.util.LinkedList;

import core.LevelCollection;

/**
 * LevelFileParsers can parse a provided input into a level list or else throw a
 * LevelFileParseException.
 */
abstract class LevelFileParser {
	/**
	 * Return the filter typically used to obtain suitable files
	 */
	abstract LevelFileFilter get_filter();

	/**
	 * Attempt to parse the levels from a provided input stream.
	 */
	abstract LinkedList<LevelCollection> parseLevels(String filename, InputStream is)
			throws LevelFileParseException;
}
