/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package general;

/**
 * A class for storing two objects.
 * @param <T1> the type of the first component
 * @param <T2> the type of the second component
 */
public class Pair <T1,T2> {
	T1 the_first;
	T2 the_second;
	
	public Pair (T1 first, T2 second) {
		the_first = first;
		the_second = second;
	}
	
	public T1 first () {
		return the_first;
	}
	
	public T2 second () {
		return the_second;
	}
	
	public boolean equals(Object other) {
		if (other instanceof Pair) {
			return the_first.equals(((Pair) other).the_first)
					&& the_second.equals(((Pair) other).the_second);
		} else
			return false;
	}
}