/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package gui_common;


import java.awt.BorderLayout;

import javax.swing.JPanel;

import core.GameSwitcher;

/**
 * Class for the outermost GUI component
 */
public class OutermostPanel extends JPanel {
	public OutermostPanel(GameSwitcher gs) {
		super(new BorderLayout());

		try {
			GamePanel game_panel = new GamePanel(gs);
			add(game_panel, BorderLayout.CENTER);
			ToolbarPanel toolbar = new ToolbarPanel(gs);
			add(toolbar, BorderLayout.NORTH);
			InfoBar ib = new InfoBar(gs);
			add(ib, BorderLayout.SOUTH);
			
		} catch (Throwable iv) {
			iv.printStackTrace();
			System.exit(1);
		}
	}
}
