/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package level;

import tessellation.TessellationManager;
import tessellation.Position;

/**
 * Stores a Floor Position pair
 */
public class FloorPosPair {
	public FloorPosPair(Floor f, Position p) {
		floor = f;
		pos = p;
	}

	Floor floor;
	Position pos;

	public boolean equals(Object other) {
		if (other instanceof FloorPosPair)
			return ((pos.equals(((FloorPosPair) other).pos)) && (floor
					.equals(((FloorPosPair) other).floor)));
		else
			return false;
	}

	public Object clone() {
		return new FloorPosPair((Floor) floor.clone(), TessellationManager
				.newPosition(pos));
	}
}
